<header>
	<!-- Navbar component -->
	<app-navbar></app-navbar>
</header>

<div class="container">


<form [formGroup]="uploadForm" (submit)="onSubmit()">
    <file-upload formControlName="file" [multiple]="multiple" [animation]="animation"></file-upload>

    <div class="form-group">
      <label for="name">File Name</label>
      <input type="text" class="form-control" id="name"
             required
             formControlName="name"
              onfocus="this.value=''">
      <!--div [hidden]="name.valid || name.pristine"
           class="alert alert-danger">
        Name is required
      </div-->
    </div>

    <div class="form-group">
      <label for="description">Description</label>
      <input type="text" class="form-control" id="describe"
             formControlName="description" onfocus="this.value=''">
    </div>
    <div class="form-group">
      <label for="author">Author or Speaker</label>
      <input type="text" class="form-control" id="author"
             formControlName="author" onfocus="this.value=''" onkeyup="this.value = this.value.toLowerCase();">

    </div>
    <div class="form-group">
      <label for="location">Place Name</label>
      <input type="text" class="form-control" id="location"
             formControlName="location" onfocus="this.value=''" onkeyup="this.value = this.value.toLowerCase();">

    </div>
    <div class="form-group">
      <label for="skill">Skill</label>
      <input type="text" class="form-control" id="skill"
             formControlName="skill" onfocus="this.value=''" onkeyup="this.value = this.value.toLowerCase();">

    </div>

    <div class="form-group">
      <label for="tags">Tags</label>
      <input type="text" class="form-control" id="tags"
             formControlName="tags" onfocus="this.value=''">

    </div>
    <button class="btn btn-primary" type="submit">
	Upload
	</button>
</form>
</div>



